<?php
/************************* Version 1a (20180716) ***************************/
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}?>
<div id="selectors">
<?php
	if (!isset($_POST['fctype'])&&!isset($_SESSION['CSSwidescreen'])) { // For debugging set some defaults if 'inc-wxpqfpfp-h5loops.php' is called alone
	$duration = '24'; // Default duration is set here - '24', '48', or '72'
	$gmtHourMin = gmdate("Hi");
	$gmDate = gmdate("Ymd");
	$tomorrow = date("Ymd", time()+86400);
	$fileHour = ($gmtHourMin>1030&&$gmtHourMin<2230)?'12':'00';
	$dateTime = ($gmtHourMin>=2230?$tomorrow:$gmDate).$fileHour;
	$fctype = 'probability'; // Default Precipitation Forecast: 'probability' or 'percentiles'
	$measure = ($fctype=='probability'?($duration=='06'?'001':'025'):'50');
	$iframeWidth = 656; // Width of forecast images
	$imageWidth = ($iframeWidth-($iframeWidth*.045)); // Adjust image width to iframe width
	$iframeHeight = ($iframeWidth*.75); // Computed IFrame Height
	$bgndColor = 'silver'; // Set HAniS Background Color Here
	$btnColor = 'darkslategray'; // Set Button Color here
	$btnTextColor = 'white'; // Set Button Text Color here
	$pauseSeconds = 2; // Pause on last image, in seconds
	$animRate = 10; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
	$smoothingOn = true; // Enable image smoothing - new in HAniS 2.5
	}
  if (isset($_POST['datetime'])) {
    $dateTime = $_POST['datetime'];
  }
  if (isset($_POST['fctype'])) {
    $fctype = $_POST['fctype'];
  }
  if (isset($_POST['duration'])) {
    $duration = $_POST['duration'];
  }
  if (isset($_POST['measure'])) {
    $measure = $_POST['measure'];
  }
  if (isset($_POST['iframeWidth'])) {
    $iframeWidth = $_POST['iframeWidth'];
  }
  if (isset($_POST['imageWidth'])) {
    $imageWidth = $_POST['imageWidth'];
  }
  if (isset($_POST['iframeHeight'])) {
    $iframeHeight = $_POST['iframeHeight'];
  }
  if (isset($_POST['bgndColor'])) {
    $bgndColor = $_POST['bgndColor'];
  }
  if (isset($_POST['btnColor'])) {
    $btnColor = $_POST['btnColor'];
  }
  if (isset($_POST['btnTextColor'])) {
    $btnTextColor = $_POST['btnTextColor'];
  }
  if (isset($_POST['animRate'])) {
    $animRate = $_POST['animRate'];
  }
  if (isset($_POST['pauseSeconds'])) {
    $pauseSeconds = $_POST['pauseSeconds'];
  }
  if (isset($_POST['smoothingOn'])) {
    $smoothingOn = $_POST['smoothingOn'];
  }
	$probNumbs24 = array('001', '010', '025', '050', '075', '100', '150', '200', '250', '300'); // Precip - Duration 24 hrs.
	$probNumbs48 = array('025', '050', '100', '150', '200', '250', '300', '400', '500', '600'); // Precip - Duration more than 24 hrs.
	$percentNumbs = array('05', '10', '25', '50', '75', '90', '95');
	if ($fctype == 'probability') { $fctypeText = 'Probabilities'; }
	else { $fctypeText = 'Percentile'; }
	if ($fctype=='probability') {
		$theProbArray = $duration=='6'?$probNumbs24:$probNumbs48; 
	} else {
		$theProbArray = $percentNumbs;
	}
	/* Debug Code *
	for ($i=0; $i<count($theProbArray); $i++) {
		echo '$theProbArray['.$i.']: '.$theProbArray[$i].'<br>';
	}
	/* End Debug Code */
?>
<div style="width:<?php echo $iframeWidth?>px" class="center">

	<div align="center">
  <span style="font-size:20px; text-align:center; line-height:100%; font-weight:bolder">
		&nbsp;<br/>NWS - Weather Prediction Center</span><br/>
	<span style="font-size:18px; text-align:center; line-height:130%; font-weight:bold">
		<?php echo $fctypeText?> Quantitative Precipitation Forecast - (PQPF)<br/></span>
	<span style="font-size:17px; text-align:center; line-height:120%; font-weight:bold">Three Day Animated Loops Showing <?php echo intval($duration).' Hour<br/>'?><?php echo ($fctype=='percentiles'?$fctypeText.' Probabilities':$fctypeText)?> of Precipitation<br/>
  </span>
    <table style="width:80%">
    	<tr>
      	<td align="center" style="width:25%">
          <span style="color:#000000; font-size:13px; font-family:arial, times new roman">
          <b>Select <?php echo ($iframeWidth<700?'':'Forecast ')?>Duration:</b> &nbsp;

          <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;; font-size:13px;" id="duration">
          
          <option value="06"<?php echo $duration=="06"?' selected="selected"':''?>>6 Hours</option>
          <option value="24"<?php echo $duration=="24"?' selected="selected"':''?>>24 Hours</option>
          </select>
          </span>
        </td>
        <td align="center" style="width:30%">
          <span style="color:#000000; font-size:13px; font-family:arial, times new roman">
          <b>Select Forecast Type:</b> &nbsp;

          <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;; font-size:13px;" id="fctype">
          
          <option value="probability"<?php echo $fctype=="probability"?' selected="selected"':''?>>Probabilities</option>
          <option value="percentiles"<?php echo $fctype=="percentiles"?' selected="selected"':''?>>Percentiles</option>
          </select>
          </span>
         </td>
        <td align="center" style="width:25%">
          <span style="color:#000000; font-size:13px; font-family:arial, times new roman">
         	<b>Select <?php echo ($fctype=='probability'?'Amount':'Percentile')?></b> &nbsp;

          <select style="background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>;; font-size:13px;" id="measure">
          <?php 
					for ($i=0; $i<count($theProbArray); $i++)
						if ($fctype == 'probability') {

								echo '<option value="'.$theProbArray[$i].'"'.($measure==$theProbArray[$i]?' selected="selected"':'').'>>='.($theProbArray[$i]/100).' Inch'.(($theProbArray[$i]/100)>1?'es ':' ').'</option>'; 


#								echo '<option value="'.$theProbArray[$i].'"'.($measure==$theProbArray[$i]?' selected="selected"':'').'>>='.(((intval($theProbArray[$i])>=1)&&$fctype!='icez')?intval($theProbArray[$i]):$theProbArray[$i]).' Inch'.($theProbArray[$i]>1?'es ':' ').'</option>'; 
						} else {
							echo '<option value="'.$theProbArray[$i].'"'.($measure==$theProbArray[$i]?' selected="selected"':'').'>'.$theProbArray[$i].'<sup>th</sup> Percentile</option>';
						}
					
					?>
          </select>
          </span>
         </td>
        </tr>
       </table>
      </div>
<?php 
	$jsConstants = array(
			'var datetime = "'.$dateTime.'";',
			'var imageWidth = "'.$imageWidth.'";',
			'var iframeWidth = "'.$iframeWidth.'";',
			'var iframeHeight = "'.$iframeHeight.'";',
			'var bgndColor = "'.$bgndColor.'";',
			'var btnColor = "'.$btnColor.'";',
			'var btnTextColor = "'.$btnTextColor.'";',
			'var animRate = "'.$animRate.'";',
			'var pauseSeconds = "'.$pauseSeconds.'";',
			'var smoothingOn = "'.$smoothingOn.'";'
	);?>
<script type="text/javascript">
  $jq("#fctype").change(function () {
		<?php for ($i=0; $i<count($jsConstants); $i++) {
			echo $jsConstants[$i];
		}?>
    var fctype = $jq(this).val();
		var duration = $jq("#duration").val();
		if (fctype=='probability') {
				var measure = (duration>6?'025':'001');
		} else {
			var measure = '50';
		}
    showLoopjs(datetime,fctype,duration,measure,imageWidth,iframeWidth,iframeHeight,bgndColor,btnColor,btnTextColor,pauseSeconds,animRate,smoothingOn);
  });
  $jq("#duration").change(function () {
		<?php for ($i=0; $i<count($jsConstants); $i++) {
			echo $jsConstants[$i];
		}?>
    var duration = $jq(this).val();
		var fctype = $jq("#fctype").val();
		if (fctype=='probability') {
				var measure = (duration>6?'025':'001');
		} else {
			var measure = '50';
		}
    showLoopjs(datetime,fctype,duration,measure,imageWidth,iframeWidth,iframeHeight,bgndColor,btnColor,btnTextColor,pauseSeconds,animRate,smoothingOn);
   });
 $jq("#measure").change(function () {
		<?php for ($i=0; $i<count($jsConstants); $i++) {
			echo $jsConstants[$i];
		}?>
    var measure = $jq(this).val();
		var duration = $jq("#duration").val();
		var fctype = $jq("#fctype").val();
    showLoopjs(datetime,fctype,duration,measure,imageWidth,iframeWidth,iframeHeight,bgndColor,btnColor,btnTextColor,pauseSeconds,animRate,smoothingOn);
  });
</script>
</div>

<div class="center" style="width:<?php echo $imageWidth?>px">
<h3 align="center">Precipitation Forecast: <?php echo intval($duration).' Hour '.($measure/100).($fctype=='probability'?' Inch'.((($measure/100)>1)?'es ':' '):'<sup>th</sup> ').$fctypeText?> Forecast</h3>
		<iframe class="center" name="wxloopshanis" width="<?php echo $iframeWidth?>" height="<?php echo $iframeHeight?>" src="./wxpqpf-loops-iframe.php?datetime=<?php echo $dateTime?>&amp;fctype=<?php echo $fctype?>&amp;duration=<?php echo $duration?>&amp;measure=<?php echo $measure?>&amp;imagewidth=<?php echo $imageWidth?>&amp;iframeheight=<?php echo $iframeHeight?>&amp;iframewidth=<?php echo $iframeWidth?>&amp;bgndColor=<?php echo $bgndColor?>&amp;btnColor=<?php echo $btnColor?>&amp;btnTextColor=<?php echo $btnTextColor?>&amp;animRate=<?php echo $animRate?>&amp;pauseSeconds=<?php echo $pauseSeconds?>&amp;smoothingOn=<?php echo $smoothingOn?>" scrolling="no" style="border:none"></iframe>
<br/> &nbsp;
  <div align="center" style="font-size:9px;" id="zTimer">The above images are produced by the <a href="https://www.wpc.ncep.noaa.gov/pqpf/conus_hpc_pqpf.php?fpd=6" target="_blank" title="Off Site">NWS Weather Prediction Center</a> and updated about every 12 hours.<br/>New maps are available here at <b>1030</b> Zulu and <b>2230</b> <a href="https://navysite.de/what/zulu.htm" target="_blank" title="Off Site">Zulu</a>.  Current Time is <b><?php echo gmdate("Hi")?></b> Zulu.<br/>Animation by <a href="https://www.ssec.wisc.edu/hanis/index.html" target="_blank" title="New Tab">HAniS</a> &copy;2014-<?php echo date("Y")?> by Tom Whittaker --  Script by <a href="https://www.gwwilkins.org" title="New Tab" target="_blank">SE Lincoln Weather</a>
<span class="ajax">
<script type="text/javascript"><!--
//<![CDATA[
  function reloadZTime() {
   	jq("#zTimer").load("inc-wxpqpf-h5loops-test.php" + " #zTimer");
    setTimeout('reloadZTime()',30000);
  }
  setTimeout('reloadZTime()',30000);
//]]>
-->
</script>
</span>
  </div>
</div>
</div>

