<?php
/************************* Version 20180716 ***************************/
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
} ?>
<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="X-UA-Compatible" content="IE=Edge"/>
  <title>WPC Precipitation Forecast Animation</title>
  <script type="text/javascript" src="./HAniS/hanis_min.js"> </script>
  </head>
<?php 
if (!isset($_GET['fctype'])&&!isset($_SESSION['CSSwidescreen'])) { // To test load some defaults if not called by 'inc-wxpqfpfp-h5loops.php'
	$duration = '06'; // Default duration is set here - '06', or '24'
	$gmtHourMin = gmdate("Hi");
	$gmDate = gmdate("Ymd");
	$tomorrow = date("Ymd", time()+86400);
	$fileHour = ($gmtHourMin>1030&&$gmtHourMin<2230)?'12':'00';
	$dateTime = ($gmtHourMin>=2230?$tomorrow:$gmDate).$fileHour;
//	echo '$dateTime: '.$dateTime.', $gmDate: '.$gmDate.', $gmtHourMin: '.$gmtHourMin.'$tomorrow: '.$tomorrow.'<br/>'; // Debug Code
	$fctype = 'probability'; // Default Precipitation Forecast: 'probability' or 'percentiles'
	$measure = ($fctype=='probability'?($duration==6?'001':'025'):'50');
	$iframeWidth = 656; // Width of forecast images
	$imageWidth = ($iframeWidth-($iframeWidth*.045)); // Adjust image width to iframe width
	$iframeHeight = ($iframeWidth*.75); // Computed IFrame Height
	$bgndColor = 'silver'; // Set HAniS Background Color Here
	$btnColor = 'darkslategray'; // Set Button Color here
	$btnTextColor = 'white'; // Set Button Text Color here
	$pauseSeconds = 2; // Pause on last image, in seconds
	$animRate = 10; // Frame Rate of animation: 5 is glacial, 10 is slow, 15 is leisurely, 20 is good, and 50 is fast - set with integer
	$smoothingOn = true; // Enable image smoothing - new in HAniS 2.5
}
  if (isset($_GET['datetime'])) {
    $dateTime = $_GET['datetime'];
  }
  if (isset($_GET['duration'])) {
    $duration = $_GET['duration'];
  }
  if (isset($_GET['fctype'])) {
    $fctype = $_GET['fctype'];
  }
  if (isset($_GET['measure'])) {
    $measure = $_GET['measure'];
  }
  if (isset($_GET['iframewidth'])) {
    $iframeWidth = $_GET['iframewidth'];
  }
  if (isset($_GET['iframeheight'])) {
    $iframeHeight = $_GET['iframeheight'];
  }
  if (isset($_GET['imagewidth'])) {
    $imageWidth = $_GET['imagewidth'];
  }
  if (isset($_GET['bgndColor'])) {
    $bgndColor = $_GET['bgndColor'];
  }
  if (isset($_GET['btnColor'])) {
    $btnColor = $_GET['btnColor'];
  }
  if (isset($_GET['btnTextColor'])) {
    $btnTextColor = $_GET['btnTextColor'];
  }
  if (isset($_GET['animRate'])) {
    $animRate = $_GET['animRate'];
  }
  if (isset($_GET['pauseSeconds'])) {
    $pauseSeconds = $_GET['pauseSeconds'];
  }
  if (isset($_GET['smoothingOn'])) {
    $smoothingOn = $_GET['smoothingOn'];
  }
	$imageHeight = $imageWidth*.6875;
?>
  <body style="width:<?php echo $imageWidth?>px" onload="HAniS.setup(
'filenames = <?php get_file_names($dateTime, $duration,$fctype,$measure)?> \n\
controls = startstop, speed, step, looprock, zoom \n\
controls_style = display:flex;flex-flow:row;background-color:<?php echo $bgndColor?>; \n\
speed_labels = Slower, Faster \n\
rate = <?php echo $animRate?> \n\
pause = <?php echo ($pauseSeconds*1000)?> \n\
window_size=<?php echo $imageWidth?>,<?php echo $imageHeight?> \n\
enable_smoothing = <?php echo ($smoothingOn?'t':'f')?> \n\
skip_missing = 0 \n\
skip_missing_color = #800000 \n\
background_static = n \n\
buttons_style = flex:auto;margin:2px;background-color:<?php echo $btnColor?>;border-radius:7px;color:<?php echo $btnTextColor?>; \n\
bottom_controls = toggle \n\
toggle_colors = <?php echo $btnColor?>, red, orange \n\
bottom_controls_tooltip = Toggle frames on/off \n\
bottom_controls_style = background-color:<?php echo $bgndColor?>;' ,
'handiv')">

  <div id="handiv" style="width:<?php echo $imageWidth?>px;background-color:#808080;">
  </div>

  </body>
  
 </html>
<?php
############## functions ##############
// ------------------------------------------------------------------
/* begin get_file_names */
function get_file_names($dateTime,$duration,$fctype,$measure){

		$theHours6 = array('006','012','018','024','030','036','042','048','054','060','066','072');
		$theHours24 = array('024','030','036','042','048','054','060','066','072');
		$theHours = $duration=='06'?$theHours6:$theHours24;
		for ($i=0; $i<count($theHours); $i++) {
			$image = 'https://www.wpc.ncep.noaa.gov/pqpf_'.intval($duration).'hr/p'.$duration.'i'.($fctype=='probability'?('_pqpf_ge'.$measure):('_'.$measure.'prcntil')).'_'.$dateTime.'f'.$theHours[$i].'.gif';
//			$image = getUniqueImageURL($image);
			echo $image;
			echo $i<(count($theHours)-1)?', ':'';
		}
}

/* end get_file_names */
// ------------------------------------------------------------------
/* Begin getUniqueImageURL */
function getUniqueImageURL($image_url){
	$timestamp = time();
	if(strpos($image_url, '?')){
		$image_url = str_replace('?', "?$timestamp&", $image_url);
	}
	else{
		$image_url .= "?$timestamp";
	}
	return $image_url;
}
/* end getUniqueImageURL */
// ------------------------------------------------------------------
############ end functions ############
?>